<?php

/**
 * @file
 * Administration include file
 */

/**
 * Admin form definition
 */
function odt_filler_admin_form($form, &$form_state) {
  $form['odt_filler_tpl_path'] = array(
    '#type' => 'textfield',
    '#title' => t('Templates Path'),
    '#description' => t('Insert a relative path where new templates will be saved (e.g. sites/default/odt_filler_tpl, no trailing slashes)'),
    '#default_value' => variable_get('odt_filler_tpl_path', 'sites/default/files/odt_filler_tpl'),
  );
  $form['odt_filler_zip_proxy'] = array(
    '#type' => 'radios',
    '#title' => t('Zip Proxy'),
    '#description' => t('Select the zip proxy will be used to handle zip compression'),
    '#default_value' => variable_get('odt_filler_zip_proxy', 'PhpZipProxy'),
    '#options' => array('PhpZipProxy' => t('PhpZipProxy'), 'PclZipProxy' => t('PclZipProxy')),
  );
  return system_settings_form($form);
}
